Need to update file on http://files.pfsense.org (vnstat2 php front end)



  • My pull request got merged for work on vnstat2
    but a file still needs to be uploaded on http://files.pfsense.org. I will quote the pull below.  If you take my source code you have to extract and recompress so that the inside folder is vnstat2 else the script will fail. If you take it from sendspace it should be identical but have the correct folder name and is the exact file I have been testing internally. It needs to be placed here: http://files.pfsense.org/packages/8/vnstat/

    Ill be probably doing more work on it but this gets it up and working now. The package has been dead in the water for quite sometime.

    Thanks,

    Bryan

    parawizard opened this pull request 2 days ago
    Fixes for pbi paths and update to 1.5.1 php front end
    Edit
    No milestone No one is assigned
    vnstat.inc changes:
    Updated vnstat_php_front end to 1.5.1-updated
    Added checks for i386 & amd64 pbi paths
    If file_exists create links for i386 & amd64 paths
    Move pfsense style to external themes for 1.5.1
    updated vnstat2.xml for new 1.5.1-updated additional files filename

    Here is the updated vnstat-php-front with the correct internal pathnames! You will have to change the internal compressed folder on the git source if you choose to download my 1.5.1-updated release instead of using this link below:
    http://www.sendspace.com/file/0py5vt

    Here is the changes shown on my fork:

    https://github.com/parawizard/vnstat-php-frontend

    Added comment. additional package for the php front end still needs to be put up


  • Rebel Alliance Global Moderator

    Sounds great - let us know when its available to just click install package ;)



  • Bryan,

    Has any of the devs gotten back to you? And thank you for updating this! I've done my best to put a bandaid on it a couple of years ago… Just never had the time to understand how the packaging works to correct it that way.

    Edit: Just manually updated my currently vnstat2 install.. Good work! Only suggestion I have is to add a link down somewhere it says "vnStat PHP frontend 1.5.1" to link back to pfSense interface. To me its a nice to have to you dont have keep hitting back or change the url to go back to pfSense.

    Glad I came across this, thinking about updating my box to 2.1.1 but may wait until the frontend file is uploaded so the package can reinstall on upgrade



  • @Cino:

    Bryan,

    Has any of the devs gotten back to you? And thank you for updating this! I've done my best to put a bandaid on it a couple of years ago… Just never had the time to understand how the packaging works to correct it that way.

    Nothing yet  :( Threw a question to the dev mailing list.

    @Cino:

    Edit: Just manually updated my currently vnstat2 install.. Good work! Only suggestion I have is to add a link down somewhere it says "vnStat PHP frontend 1.5.1" to link back to pfSense interface. To me its a nice to have to you dont have keep hitting back or change the url to go back to pfSense.

    I used to do some PHP development. I am looking at ways at improving this package. At least I just wanted to fix it for 2.1.

    @Cino:

    Glad I came across this, thinking about updating my box to 2.1.1 but may wait until the frontend file is uploaded so the package can reinstall on upgrade

    Hopefully soon :)



  • https://github.com/pfsense/pfsense-packages/pull/579

    Integrated the file into the repo itself. Once that pull request goes through and either nightly build or manual build and package should be up and running again :)



  • Thanks Bryan!

    Stephen



  • any walkthrough to manually install?



  • I previously used vnstat2 on 2.0.3 and found it very useful. When I unpgraded to 2.1 vnstat2 failed.

    Question - once the updated files have been uploaded should I update vnstat2 - or remove it completely and reinstall fresh?

    How to know when updated files are all available and ready to install?

    Thanks - sorry for poor understanding :)



  • @anaxagoras:

    any walkthrough to manually install?

    Pretty lengthy I would wait.

    @hackin8:

    I previously used vnstat2 on 2.0.3 and found it very useful. When I unpgraded to 2.1 vnstat2 failed.

    Question - once the updated files have been uploaded should I update vnstat2 - or remove it completely and reinstall fresh?

    How to know when updated files are all available and ready to install?

    Thanks - sorry for poor understanding :)

    The version will changed to 1.11_1 uninstall and resinstall I think the database should be left intact. If you wish to back it up back up the /cf/conf/vnstat folder



  • any word from the dev's yet?



  • Yes and I submited a new pull request 4 days ago with the integrated package :)

    https://github.com/pfsense/pfsense-packages/pull/579



  • i mean any word when they are going complete your pull request?





  • Bryan, did you resubmit as requested on that link on 22/1?

    Keen to install as soon as updated version is available.



  • @hackin8:

    Bryan, did you resubmit as requested on that link on 22/1?

    Keen to install as soon as updated version is available.

    https://github.com/pfsense/pfsense-packages/pull/579



  • Still waiting then I guess - hope it is actioned soon…..



  • anything yet? i'm sure the devs are busy with life or other things but this is getting frustrating.



  • @anaxagoras:

    anything yet? i'm sure the devs are busy with life or other things but this is getting frustrating.

    All we can do is wait. 10 days so far is disappointing.



  • They normally dont take this long… Email Chris the link of the push request directly.



  • @Cino:

    They normally dont take this long… Email Chris the link of the push request directly.

    I have emailed him, Ermal, core, posted at dev mailinglist, tried irc, maybe jimp etc. They are aware of it I am sure. You can try emailing them if you would like.



  • I sent Jimp a PM. He may or may not be able to fix it but anything to help bring attention to this issue would be good.  :)

    EDIT: Nevermind, I forgot that he didn't want PMs asking for help.



  • did you piss off one of the devs?  Insult with one of their spouses?  From what I've read merging your commits shouldn't be a big ordeal.

    I know I asked before and you said it would be too difficult to manually install, but is there any way you can make this into a pkg that we can just manually load?

    I really want/need your package because i'm looking to change ISPs to one with bandwidth caps and could really use some trending for a month or two first.



  • Really it's still broken!?  All joking aside this is absurd.  I don't understand why it's so difficult to get a patch through unless there's something else going on.  Either politics is at play, or it's not a simple fix to apply the patch.



  • @anaxagoras:

    Really it's still broken!?  All joking aside this is absurd.  I don't understand why it's so difficult to get a patch through unless there's something else going on.  Either politics is at play, or it's not a simple fix to apply the patch.

    Think they must have been cooking up a new license agreement. I have now signed a contributor license agreement and sent it back to them. I am guessing that they will be able to merge in my pull request now. Or at least I would hope.

    More here https://forum.pfsense.org/index.php/topic,71591.15.html



  • Package has been updated. Go ahead and give er a go! Please post any problems/feedback to this thread



  • bryan - thanks, well worth waiting for!!

    Installed on 2.1 running on ALIX 2D13. Installed with no issues straight from "add packages". Didn't need to change / add anything - worked well straight away

    Thanks again



  • woo hoo! thanks!